
#language: ru

@SalesOfProducts

Функционал: 020. SalesOfProducts. Установка дат запрета изменения данных(по объектам)

Сценарий: 020.1. SalesOfProducts. Установка дат запрета изменения данных(по объектам)

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.020. Реализация товаров"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я разворачиваю группу "Даты запрета изменения"
	И я нажимаю на кнопку 'Настроить'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'      | 'Действует по' | 'Раздел, объект'                 |
		| 'Произвольная дата' | '24.12.2018'   | '<Общая дата для всех разделов>' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаУдалить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'      | 'Действует по' | 'Раздел, объект'               |
		| 'Произвольная дата' | '12.12.2018'   | 'Возвраты товаров от клиентов' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаУдалить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Даты запрета изменения данных'
	И из выпадающего списка "Указывать дату запрета" я выбираю точное значение 'По разделам и объектам'
	И у элемента с именем "СпособУказанияДатыЗапрета" я жду значения "По разделам и объектам" в течение 60 секунд
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'               |
		| 'Общая дата для всех разделов' | 'Возвраты товаров от клиентов' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Организации'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                          | 'Раздел, объект' |
		| 'Общая дата для раздела "Возвраты товаров от клиентов"' | 'Организация2'   |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '13.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'             |
		| 'Общая дата для всех разделов' | 'Обработка заказов клиентов' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Организации'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                        | 'Раздел, объект' |
		| 'Общая дата для раздела "Обработка заказов клиентов"' | 'Организация2'   |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '11.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	Тогда таблица "ДатыЗапрета" стала равной:
		| 'Раздел, объект'                   | 'Дата запрета'                 | 'Действует по' |
		| '<Общая дата для всех разделов>'   | 'Не установлена'               | ''             |
		| 'Внутригрупповые обороты'          | 'Общая дата для всех разделов' | ''             |
		| 'Возвраты товаров от клиентов'     | 'Общая дата для всех разделов' | ''             |
		| 'Организация2'                     | 'Произвольная дата'            | '13.12.2018'   |
		| 'Обработка заказов клиентов'       | 'Общая дата для всех разделов' | ''             |
		| 'Организация2'                     | 'Произвольная дата'            | '11.12.2018'   |
		| 'Обработка заказов на перемещение' | 'Общая дата для всех разделов' | ''             |
		| 'Обработка персональных данных'    | 'Общая дата для всех разделов' | ''             |
		| 'Финансовый результат'             | 'Общая дата для всех разделов' | ''             |
	И Я закрываю окно 'Даты запрета изменения данных'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 020.2. SalesOfProducts.  Проверка даты запрета в Обработке заказов клиентов - заказ клиента - по Организации

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
	Тогда открылось окно 'Заказы клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ клиента (создание)'
	И в поле с именем "Дата" я ввожу текст '10.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение Обычный покупатель(Организация2)'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле с именем "ДатаОтгрузки" я ввожу текст '12.12.2018'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ клиента (создание) *'
	И Я закрываю окно 'Заказ клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: 020.3. SalesOfProducts. Проверка даты запрета в Возвратах товаров от клиентов - возврат товаров - по Организации

	И В командном интерфейсе я выбираю 'Заказы' 'Возвраты товаров от клиентов'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Возврат товаров от клиента (создание)'
	И в поле 'Дата' я ввожу текст '11.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Соглашение" я выбираю по строке 'Соглашение Обычный покупатель(Организация2)'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" в поле 'Цена, RUB' я ввожу текст '100,00'
	И в таблице "Товары" из выпадающего списка "Причина" я выбираю по строке 'Товар испортился'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Возврат товаров от клиента (создание) *'
	И Я закрываю окно 'Возврат товаров от клиента (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Возвраты товаров от клиентов'
	И Я закрываю окно 'Возвраты товаров от клиентов'

Сценарий: 020.4. SalesOfProducts. Завершение

	И Я закрыл все окна клиентского приложения